## org.eclipse.datatools.modelbase.sql.query
Class QueryCombinedOperator

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.QueryCombinedOperator

public final class QueryCombinedOperator
extends AbstractEnumerator

A representation of the literals of the enumeration 'Combined Operator', and utility methods for working with them. UNION=1 UNION_ALL=2 INTERSECT=3 INTERSECT_ALL=4 EXCEPT=5 EXCEPT_ALL=6

See Also:
  `SQLQueryModelPackage.getQueryCombinedOperator()`, Serialized Form

Field Summary
`static int` `EXCEPT` The 'EXCEPT' literal value.
`static int` `EXCEPT_ALL` The 'EXCEPT ALL' literal value.
`static QueryCombinedOperator` `EXCEPT_ALL_LITERAL` The 'EXCEPT ALL' literal object.
`static QueryCombinedOperator` `EXCEPT_LITERAL` The 'EXCEPT' literal object.
`static int` `INTERSECT` The 'INTERSECT' literal value.
`static int` `INTERSECT_ALL` The 'INTERSECT ALL' literal value.
`static QueryCombinedOperator` `INTERSECT_ALL_LITERAL` The 'INTERSECT ALL' literal object.
`static QueryCombinedOperator` `INTERSECT_LITERAL` The 'INTERSECT' literal object.
`static int` `UNION` The 'UNION' literal value.
`static int` `UNION_ALL` The 'UNION ALL' literal value.
`static QueryCombinedOperator` `UNION_ALL_LITERAL` The 'UNION ALL' literal object.
`static QueryCombinedOperator` `UNION_LITERAL` The 'UNION' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Query Combined Operator' enumerators.

Method Summary
`static QueryCombinedOperator` `get(int value)` Returns the 'Query Combined Operator' literal with the specified value.
`static QueryCombinedOperator` `get(java.lang.String name)` Returns the 'Query Combined Operator' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNION

    public static final int UNION

  The 'UNION' literal value.

  See Also:
    `UNION_LITERAL`, Constant Field Values

### UNION_ALL

    public static final int UNION_ALL

  The 'UNION ALL' literal value.

  See Also:
    `UNION_ALL_LITERAL`, Constant Field Values

### INTERSECT

    public static final int INTERSECT

  The 'INTERSECT' literal value.

  See Also:
    `INTERSECT_LITERAL`, Constant Field Values

### INTERSECT_ALL

    public static final int INTERSECT_ALL

  The 'INTERSECT ALL' literal value.

  See Also:
    `INTERSECT_ALL_LITERAL`, Constant Field Values

### EXCEPT

    public static final int EXCEPT

  The 'EXCEPT' literal value.

  See Also:
    `EXCEPT_LITERAL`, Constant Field Values

### EXCEPT_ALL

    public static final int EXCEPT_ALL

  The 'EXCEPT ALL' literal value.

  See Also:
    `EXCEPT_ALL_LITERAL`, Constant Field Values

### UNION_LITERAL

    public static final QueryCombinedOperator UNION_LITERAL

  The 'UNION' literal object.

  If the meaning of 'UNION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNION`

### UNION_ALL_LITERAL

    public static final QueryCombinedOperator UNION_ALL_LITERAL

  The 'UNION ALL' literal object.

  If the meaning of 'UNION ALL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNION_ALL`

### INTERSECT_LITERAL

    public static final QueryCombinedOperator INTERSECT_LITERAL

  The 'INTERSECT' literal object.

  If the meaning of 'INTERSECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INTERSECT`

### INTERSECT_ALL_LITERAL

    public static final QueryCombinedOperator INTERSECT_ALL_LITERAL

  The 'INTERSECT ALL' literal object.

  If the meaning of 'INTERSECT ALL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INTERSECT_ALL`

### EXCEPT_LITERAL

    public static final QueryCombinedOperator EXCEPT_LITERAL

  The 'EXCEPT' literal object.

  If the meaning of 'EXCEPT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXCEPT`

### EXCEPT_ALL_LITERAL

    public static final QueryCombinedOperator EXCEPT_ALL_LITERAL

  The 'EXCEPT ALL' literal object.

  If the meaning of 'EXCEPT ALL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXCEPT_ALL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Query Combined Operator' enumerators.

Method Detail

### get

    public static QueryCombinedOperator get(java.lang.String name)

  Returns the 'Query Combined Operator' literal with the specified name.

### get

    public static QueryCombinedOperator get(int value)

  Returns the 'Query Combined Operator' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.